> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Delete a report grant

DELETE https://api.sigmacomputing.com/v2/reports/{reportId}/grants/{grantId}

This endpoint deletes a specific grant from a report. Deleting a grant revokes the permissions associated with it, ensuring that the specified users or teams no longer have the access rights previously granted.

  ### Usage notes
  - **reportId:** The identifier of the report from which the grant is to be deleted. Retrieve the **reportId** by calling the [/v2/reports](https://help.sigmacomputing.com/reference/list-reports) endpoint.
  - **grantId:** The identifier of the grant that needs to be removed. Retrieve the **grantId** by calling the [/v2/grants](https://help.sigmacomputing.com/reference/list-grants) endpoint with the `reportId` as the `inodeId`.

  ### Usage scenarios
  - **Access revocation:** Administrators can use this endpoint to manage and revoke access as team roles or project needs evolve.
  - **Security compliance:** Ensures that access to sensitive data within reports is tightly controlled and can be promptly adjusted in response to security policy changes or personnel updates.

  ### Best practices
  - Always confirm the identities associated with both the report and grant before proceeding with deletion to avoid accidental revocations.
  - Log and audit all grant deletions to maintain records for security audits and compliance tracking.

Reference: https://help.sigmacomputing.com/reference/delete-report-grant

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/reports/{reportId}/grants/{grantId}:
    delete:
      operationId: deleteReportGrant
      summary: Delete a report grant
      description: >-
        This endpoint deletes a specific grant from a report. Deleting a grant
        revokes the permissions associated with it, ensuring that the specified
        users or teams no longer have the access rights previously granted.

          ### Usage notes
          - **reportId:** The identifier of the report from which the grant is to be deleted. Retrieve the **reportId** by calling the [/v2/reports](https://help.sigmacomputing.com/reference/list-reports) endpoint.
          - **grantId:** The identifier of the grant that needs to be removed. Retrieve the **grantId** by calling the [/v2/grants](https://help.sigmacomputing.com/reference/list-grants) endpoint with the `reportId` as the `inodeId`.

          ### Usage scenarios
          - **Access revocation:** Administrators can use this endpoint to manage and revoke access as team roles or project needs evolve.
          - **Security compliance:** Ensures that access to sensitive data within reports is tightly controlled and can be promptly adjusted in response to security policy changes or personnel updates.

          ### Best practices
          - Always confirm the identities associated with both the report and grant before proceeding with deletion to avoid accidental revocations.
          - Log and audit all grant deletions to maintain records for security audits and compliance tracking.
      tags:
        - Reports
      parameters:
        - name: reportId
          in: path
          required: true
          schema:
            type: string
        - name: grantId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/reports_deleteReportGrant_Response_200'
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    reports_deleteReportGrant_Response_200:
      type: object
      properties: {}
      title: reports_deleteReportGrant_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/reports/reportId/grants/grantId"

headers = {"Authorization": "<token>."}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/reports/reportId/grants/grantId';
const options = {method: 'DELETE', headers: {Authorization: '<token>.'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/reports/reportId/grants/grantId"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "<token>.")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/reports/reportId/grants/grantId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<token>.'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.sigmacomputing.com/v2/reports/reportId/grants/grantId")
  .header("Authorization", "<token>.")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.sigmacomputing.com/v2/reports/reportId/grants/grantId', [
  'headers' => [
    'Authorization' => '<token>.',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/reports/reportId/grants/grantId");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "<token>.");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<token>."]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/reports/reportId/grants/grantId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```